Subject: RE: ETags, was: Issues from Interop/Interim WG Meeting

From: "Lisa Dusseault" <[email-masked]>
Date: Fri, 28 Feb 2003 12:13:12 -0800

The issue of whether it's OK to define RFC2518bis such that servers that
were compliant with 2518 have to make changes to become compliant with
2518bis came up again last week. Therefore, I thought I'd repost this
message from last year.

We are already putting requirements in 2518bis such that servers that
were compliant with 2518 must upgrade to be compliant with 2518bis.
That's OK, particularly when the spec becomes more stringent, not less.
Greater stringency should increase the number of features and behaviors
that clients can rely on and use interoperably without so many if-elses.

Lisa

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Lisa Dusseault
> Sent: Wednesday, September 18, 2002 11:53 AM
> To: 'Julian Reschke'; 'Webdav WG'
> Subject: RE: ETags, was: Issues from Interop/Interim WG Meeting
> 
> 
> 
> > If a server that complies to RFC2518 doesn't comply to RFC2518bis,
> then
> > we've broken the IETF publication process, haven't we?
> 
> I don't think that's necessarily true.  I checked with my local IAB
> member, and we don't think it's forbidden to upgrade a standard from
> Proposed Standard to Draft Standard, even if in the process 
> the standard
> becomes somewhat more stringent in what constitutes compliance from
> implementations. (He says particularly if the requirement is a SHOULD
> now.)  It's a difficult judgement call, and one must weigh the
> interoperability concerns of both making and not making the 
> change. But
> in principle, it's not forbidden. 
> 
> Our ADs will certainly weigh in on this when we've hashed it out more
> amongst ourselves, but in the meantime we shouldn't have to restrict
> ourselves rigidly in this matter.
> 
> Lisa
>